#include <SoftwareSerial.h>

// SoftwareSerial(RX, TX) 형식으로 블루투스 모듈과 교차하여 연결된다.
SoftwareSerial BTSerial(4, 5);

String buffer = ""; // 수신 문자열 버퍼
boolean process_it = false;

void setup() {
  BTSerial.begin(9600);
  Serial.begin(9600);
}

void loop() {
  if (Serial.available()) { // 시리얼 모니터에서 데이터 입력
    char data = Serial.read();
    if (data == '\n') // 문자열 종료
      process_it = true;
    else
      buffer += data;
  }
  if (process_it) {
    process_it = false;
    Serial.println("You entered : " + buffer);
    int value = buffer.toInt(); // 정숫값으로 변환
    if (value < 0 || value > 15) // 정숫값 범위 검사
      Serial.println("* Wrong number...");
    else
      BTSerial.write(value); // LED 제어값 블루투스로 전송
    buffer = "";
  }
}
